Subject: Re*: [PATCH v2 0/4] Enable Rust by default

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 Apr 2026 07:52:50 -0700

Derrick Stolee <[email-masked]> writes:

> On 4/9/2026 6:44 PM, brian m. carlson wrote:
>> Our breaking changes document said that we would enable Rust support by
>> default in Git 2.53, while still leaving the ability for it to be
>> disabled.  Unfortunately, we forgot to do that and my time machine is
>> broken right now, so this series sets it up for Git 2.54.
>
> I'm glad you're remembering to help us follow through on this promise.
>
> However, I'm worried that we shouldn't do this change during the rc
> window for 2.54.0. Perhaps we could get a small patch that updates the
> docs to say "we really mean 2.55.0" that lands in the 2.54.0 release,
> and then we merge the requirements for the build in the first batch
> after the release.
>
> This would give us a full release cycle to simmer with the requirement
> instead of slipping it in for the last rc.

Yes, let's do that.

I thought that leaving a bit of wiggle room like this:

  2. In Git 2.55 (or later, if the codebase and the world is not yet ready by then),
     both build systems will default-enable support for Rust.

might not be a bad idea, but during the -rc period, simpler the better.

----- >8 -----
Subject: rust: we are way beyond 2.53

Earlier we timelined that we'd tune our build procedures to build
with Rust by default in Git 2.53, but we are already in prerelease
freeze for 2.54 now.  Update the BreakingChanges document to delay
it until Git 2.55 (slated for the end of June 2026).

Noticed-by: brian m. carlson <[email-masked]>
Helped-by: Derrick Stolee <[email-masked]>
Signed-off-by: Junio C Hamano <[email-masked]>
---
 Documentation/BreakingChanges.adoc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git c/Documentation/BreakingChanges.adoc w/Documentation/BreakingChanges.adoc
index f814450d2f..af59c43f42 100644
--- c/Documentation/BreakingChanges.adoc
+++ w/Documentation/BreakingChanges.adoc
@@ -190,7 +190,7 @@ milestones for the introduction of Rust:
 1. Initially, with Git 2.52, support for Rust will be auto-detected by Meson and
    disabled in our Makefile so that the project can sort out the initial
    infrastructure.
-2. In Git 2.53, both build systems will default-enable support for Rust.
+2. In Git 2.55, both build systems will default-enable support for Rust.
    Consequently, builds will break by default if Rust is not available on the
    build host. The use of Rust can still be explicitly disabled via build
    flags.